resources:
  App\Entity\Order\Order:
    normalizationContext:
      groups:
        - 'identifier:read'
        - 'time_trace:read'
        - 'advert:read_essential'
        - 'customer:read_essential'
        - 'order:read'

    denormalizationContext:
      groups:
        - 'order:write'

    operations:
      ApiPlatform\Metadata\GetCollection:
        filters: [ 'order.order_filter', 'order.search_filter', 'order.global_search_filter', 'order.customer_search_filter' ]
        openapiContext:
          summary: Order - List.
          description: >
            Retrieves a list of Order

      ApiPlatform\Metadata\Get:
        openapiContext:
          summary: Order - Item.
          description: >
            Retrieves a item of Order

      ApiPlatform\Metadata\Post:
        openapiContext:
          summary: Order - Create.
          description: >
            create an item of Order

      ApiPlatform\Metadata\Put:
        openapiContext:
          summary: Order - Update.
          description: >
            update an item of Order

      ApiPlatform\Metadata\Delete:
        openapiContext:
          summary: Order - Delete.
          description: >
            delete an item of Order
